// Imports
@use "variables" as var;

// Actual Styling
.map-container {
  height: 100%;

  @media (min-width: var.$breakpoint-desktop) {
    &::after {
      content: "";
      left: -4px;
      position: fixed;
      width: 0;
      height: 100%;
      background-color: var(--border-default-blue-france);
      transition: 400ms ease-in-out;
    }
  }

  &.edit {
    @media (min-width: var.$breakpoint-desktop) {
      border: 4px solid var(--border-default-blue-france);
      transition-delay: 400ms;
      transition-property: border;

      &::after {
        left: 400px;
        width: 4px;
      }

      &.edit--by-coordinates::after {
        left: 0;
        width: 0;
      }
    }

    .maplibregl-canvas-container.maplibregl-interactive {
      cursor: pointer;
      background-size: contain;
    }
  }

  // Hide buttons toggling zoom on mobile
  @media (max-width: var.$breakpoint-desktop) {
    .maplibregl-ctrl-bottom-right {
      display: none;
    }
  }
}
